Bullet Collision Detection & Physics Library: gim_bitset Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
gim_bitset Class Reference

`#include <gim_bitset.h>`

Collaboration diagram for gim_bitset:
[legend]

## Public Member Functions
| gim_bitset ()
| gim_bitset (GUINT bits_count)
| ~gim_bitset ()
bool | resize (GUINT newsize)
GUINT | size ()
void | set_all ()
void | clear_all ()
void | set (GUINT bit_index)
char | get (GUINT bit_index)
| Return 0 or 1.
void | clear (GUINT bit_index)

## Public Attributes
gim_array< GUINT > | m_container

## Detailed Description

Definition at line 40 of file gim_bitset.h.

## Constructor & Destructor Documentation

## ◆ gim_bitset() [1/2]

gim_bitset::gim_bitset | ( |  | ) |
| inline

Definition at line 45 of file gim_bitset.h.

## ◆ gim_bitset() [2/2]

gim_bitset::gim_bitset | ( | GUINT | bits_count | ) |
| inline

Definition at line 49 of file gim_bitset.h.

## ◆ ~gim_bitset()

gim_bitset::~gim_bitset | ( |  | ) |
| inline

Definition at line 54 of file gim_bitset.h.

## Member Function Documentation

## ◆ clear()

void gim_bitset::clear | ( | GUINT | bit_index | ) |
| inline

Definition at line 111 of file gim_bitset.h.

## ◆ clear_all()

void gim_bitset::clear_all | ( |  | ) |
| inline

Definition at line 82 of file gim_bitset.h.

## ◆ get()

char gim_bitset::get | ( | GUINT | bit_index | ) |
| inline

Return 0 or 1.

Definition at line 100 of file gim_bitset.h.

## ◆ resize()

bool gim_bitset::resize | ( | GUINT | newsize | ) |
| inline

Definition at line 58 of file gim_bitset.h.

## ◆ set()

void gim_bitset::set | ( | GUINT | bit_index | ) |
| inline

Definition at line 90 of file gim_bitset.h.

## ◆ set_all()

void gim_bitset::set_all | ( |  | ) |
| inline

Definition at line 74 of file gim_bitset.h.

## ◆ size()

GUINT gim_bitset::size | ( |  | ) |
| inline

Definition at line 69 of file gim_bitset.h.

## Member Data Documentation

## ◆ m_container

gim_array<GUINT> gim_bitset::m_container

Definition at line 43 of file gim_bitset.h.

The documentation for this class was generated from the following file:

- gim_bitset.h